Skip to content

Motion Control

POST https://www.kkiai.com/kling/v1/videos/motion-control

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
model_namestringOptionalDefault kling-v2-6 kling-v3
promptstringOptionalText prompt, can include positive and negative descriptions. You can add elements to the scene and achieve camera effects through prompts. See Kling's "Motion Control" usage guide for details. Cannot exceed 2500 characters. https://docs.qingque.cn/d/home/eZQAl5y8xNSkr0iYUS8-bpGvP?identityId=2Cn18n4EIHT#section=h.xtmfpd68o18
image_urlstringRequiredReference image. Characters, backgrounds, and other elements in the generated video are based on the reference image. Video content must meet the following requirements: Characters can be realistic style or cartoon style with proportions similar to natural humans, avoid occlusion; realistic style characters have better results. Character area in the image must exceed 5% of the image area. Supports Base64 encoded images or image URLs (ensure accessibility). Image formats support .jpg / .jpeg / .png. Image file size cannot exceed 10MB, image dimensions not less than 300px, aspect ratio between 1:2.5 ~ 2.5:1.
video_urlstringRequiredVideo content must meet the following requirements: Exactly 1 realistic style, full-body or upper-body character with head visible, avoid occlusion. Character limb movements and facial expressions are clear and do not include complex actions like flips or handstands. Action video is a single continuous shot with the character always visible in the frame, avoid cuts or camera movements. Video files support .mp4/.mov, file size not exceeding 100MB, only supports dimensions where both width and height are between 340px~3850px. Validation failures will return error codes. Video duration minimum is not less than 3 seconds, maximum duration is related to character orientation (character_orientation): When character orientation matches the video, video duration can be up to 30 seconds; When character orientation matches the image, video duration can be up to 10 seconds; The system will validate video content and return error codes if there are issues.
element_listarray[object]Optional
  └ element_idstringOptionalWhen referencing the subject, the generated video can only reference the character orientation in the video for now. Currently only supports introducing 1 subject.
keep_original_soundstringOptionalChoose whether to keep the original video audio. Enum values: yes, no. yes: keep original audio; no: do not keep original audio.
character_orientationstringRequiredCharacter orientation in the generated video, can choose to match the image or the video. Enum values: image, video. image: matches character orientation in the image; reference video duration must not exceed 10 seconds; video: matches character orientation in the video; reference video duration must not exceed 30 seconds.
modestringRequiredVideo generation mode. Enum values: std, pro. std: standard mode (standard), basic mode, high cost-effectiveness; pro: expert mode (high quality), high performance mode, generates better video quality.
callback_urlstringOptional
external_task_idstringOptional
watermark_infoarray[object]OptionalWhether to generate results with watermark simultaneously.
  └ watermark_infobooleanOptionaltrue to generate, false to not generate. Custom watermarks are not currently supported.

Request Example

json
{
    "model_name": "kling-v3",
    "image_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-3.ng.png",
    "prompt": "The girl is wearing a loose gray T-shirt and denim shorts.",
    "video_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/dance.mp4",
    "keep_original_sound": "yes",
    "character_orientation": "image",
    "mode": "pro",
    // "callback_url": "",
    // "external_task_id": "xxx"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/videos/motion-control' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model_name": "kling-v3",
    "image_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-3.ng.png",
    "prompt": "The girl is wearing a loose gray T-shirt and denim shorts.",
    "video_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/dance.mp4",
    "keep_original_sound": "yes",
    "character_orientation": "image",
    "mode": "pro",
    // "callback_url": "",
    // "external_task_id": "xxx"
}'

Response

🟢 200 Success

Response Example

json
{}